# Uses of Class
com.fasterxml.jackson.core.io.InputDecorator

Packages that use InputDecorator
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.

## Uses of InputDecorator in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core declared as InputDecorator
Modifier and Type
Field
Description
`protected InputDecorator`
JsonFactory.`_inputDecorator`
Optional helper object that may decorate input sources, to do additional processing on input during parsing.
`protected InputDecorator`
TSFBuilder.`_inputDecorator`
Optional helper object that may decorate input sources, to do additional processing on input during parsing.
Methods in com.fasterxml.jackson.core that return InputDecorator
Modifier and Type
Method
Description
`InputDecorator`
JsonFactory.`getInputDecorator()`
Method for getting currently configured input decorator (if any; there is no default decorator).
`InputDecorator`
TSFBuilder.`inputDecorator()`
Methods in com.fasterxml.jackson.core with parameters of type InputDecorator
Modifier and Type
Method
Description
`B`
TSFBuilder.`inputDecorator(InputDecorator dec)`
`JsonFactory`
JsonFactory.`setInputDecorator(InputDecorator d)`
Deprecated.
Since 2.10 use `TSFBuilder.inputDecorator(InputDecorator)` instead